# Fly config reference: https://fly.io/docs/reference/configuration/

app = 'rdb-gatus'
primary_region = 'cdg'
kill_signal = 'SIGINT'
kill_timeout = '30s'

[build]
  dockerfile = 'Dockerfile'

[[mounts]]
  source = 'rdb_status'
  destination = '/persistent'
  initial_size = "1GB"
  auto_extend_size_increment = "1GB"
  auto_extend_size_threshold = 90

[[services]]
  protocol = 'tcp'
  internal_port = 8080
  auto_start_machines = true
  auto_stop_machines = false
  min_machines_running = 1

  [[services.ports]]
    port = 80
    handlers = ['http']
    force_https = true

  [[services.ports]]
    port = 443
    handlers = ['tls', 'http']

    [services.ports.http_options]
      [services.ports.http_options.response]
        [services.ports.http_options.response.headers]
          # doc: https://fly.io/docs/reference/configuration/#services-ports-http_options-response-headers
          Content-Security-Policy = "default-src 'self'; base-uri 'self'; form-action 'none'; frame-ancestors 'none'; script-src 'self' 'unsafe-inline'"
          Referrer-Policy = 'strict-origin-when-cross-origin'
          Strict-Transport-Security = 'max-age=63072000; includeSubDomains'
          X-Content-Type-Options = 'nosniff'
          X-Frame-Options = 'DENY'

  [services.concurrency]
    # NOTE: currently ignored since we don't scale
    type = 'connections'
    hard_limit = 1000
    soft_limit = 800

  [[services.tcp_checks]]
    interval = '15s'
    timeout = '2s'
    grace_period = '1s'

[[statics]]
  guest_path = '/public'
  url_prefix = '/public'

[[vm]]
  cpu_kind = 'shared'
  cpus = 1
  memory_mb = 256
